/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package modelo;
import java.util.Observable;


/**
 *Clase Seccion , clase que crea una seccion
 * @author MW3 Software
 */
public class Seccion extends Observable{

    /**
     * Nombre de la Seccion
     */
    private String nombre;
    /**
     * Autores que crean la Seccion
     */
    private String autores;
    /**
     * Fuentes de informacion
     */
    private String fuentes;
    /**
     * Tipo de la Seccion
     */
    private String tipo;//normal o apendice
    /**
     * Orden de la Seccion
     */
    private boolean orden;
    /**
     * Comentarios de la Seccion
     */
    private String comentarios;


    /**
     * Metodo que devuelve el nombre
     * @return devuelve el nombre de la Seccion
     */
    public String getNombre() {
        return nombre;
    }

    /**
     * Metodo que almacena el nombre
     * @param nombre nuevo valor de nombre de la seccion
     */
    public void setNombre(String nombre) {
        this.nombre = nombre;
        this.setChanged();
        this.notifyObservers();
    }

    /**
     * Metodo que devuelve los autores
     * @return devuelve los autores de la Seccion
     */
    public String getAutores() {
        return autores;
    }

    /**
     * Metodo que almacena los autores
     * @param autores nuevo valor de autores de la seccion
     */
    public void setAutores(String autores) {
        this.autores = autores;
        this.setChanged();
        this.notifyObservers();
    }

    /**
     * Metodo que devuelve las fuentes
     * @return devuelve las fuentes de la Seccion
     */
    public String getFuentes() {
        return fuentes;
    }

    /**
     * Metodo que almacena las fuentes
     * @param fuentes nuevo valor de fuentes de la seccion
     */
    public void setFuentes(String fuentes) {
        this.fuentes = fuentes;
        this.setChanged();
        this.notifyObservers();
    }

    /**
     * Metodo que devuelve el tipo
     * @return devuelve el tipo de la Seccion
     */
    public String getTipo() {
        return tipo;
    }

    /**
     * Metodo que almacena el tipo
     * @param tipo nuevo valor de tipo de la seccion
     */
    public void setTipo(String tipo) {
        this.tipo = tipo;
        this.setChanged();
        this.notifyObservers();
    }

    /**
     * Metodo que devuelve el orden
     * @return devuelve el orden de la Seccion
     */
    public boolean getOrden() {
        return orden;
    }

    /**
     * Metodo que almacena el orden
     * @param orden nuevo valor de orden de la seccion
     */
    public void setOrden(boolean orden) {
        this.orden = orden;
        this.setChanged();
        this.notifyObservers();
    }

    /**
     * Metodo que devuelve los comentarios
     * @return devuelve los comentarios de la Seccion
     */
    public String getComentarios() {
        return comentarios;
    }

    /**
     * Metodo que almacena los comentarios
     * @param comentarios nuevo valor de comentarios de la seccion
     */
    public void setComentarios(String comentarios) {
        this.comentarios = comentarios;
        this.setChanged();
        this.notifyObservers();
    }

}
